Index: cprs/branches/foia-cprs/CPRS-Chart/fNotes.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/fNotes.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/fNotes.dfm	(revision 460)
@@ -1,13 +1,15 @@
 inherited frmNotes: TfrmNotes
-  Left = 375
-  Top = 144
-  Width = 614
+  Left = 307
+  Top = 177
+  Width = 687
   Height = 409
   HelpContext = 5000
   Caption = 'Progress Notes Page'
   HelpFile = 'overvw'
+  KeyPreview = True
   Menu = mnuNotes
   OnDestroy = FormDestroy
   OnHide = FormHide
+  OnMouseMove = FormMouseMove
   OnShow = FormShow
   PixelsPerInch = 96
@@ -15,5 +17,5 @@
   inherited shpPageBottom: TShape
     Top = 358
-    Width = 606
+    Width = 679
   end
   inherited sptHorz: TSplitter
@@ -57,4 +59,5 @@
       OnClick = cmdNewNoteClick
       OnExit = cmdNewNoteExit
+      OnMouseMove = FormMouseMove
       Align = alBottom
     end
@@ -69,4 +72,5 @@
       OnClick = cmdPCEClick
       OnExit = cmdPCEExit
+      OnMouseMove = FormMouseMove
       Align = alBottom
     end
@@ -128,4 +132,5 @@
         OnExit = tvNotesExit
         OnExpanded = tvNotesExpanded
+        OnMouseMove = FormMouseMove
         OnStartDrag = tvNotesStartDrag
         Caption = 'Last 100 Notes'
@@ -137,10 +142,10 @@
   inherited pnlRight: TPanel
     Left = 68
-    Width = 538
+    Width = 611
     Height = 358
     object sptVert: TSplitter
       Left = 0
       Top = 309
-      Width = 538
+      Width = 611
       Height = 4
       Cursor = crVSplit
@@ -150,5 +155,5 @@
       Left = 0
       Top = 313
-      Width = 538
+      Width = 611
       Height = 45
       Align = alBottom
@@ -165,5 +170,5 @@
       Left = 0
       Top = 0
-      Width = 538
+      Width = 611
       Height = 309
       Align = alClient
@@ -175,5 +180,5 @@
         Left = 0
         Top = 67
-        Width = 538
+        Width = 611
         Height = 242
         Align = alClient
@@ -197,5 +202,5 @@
         Left = 0
         Top = 0
-        Width = 538
+        Width = 611
         Height = 67
         Align = alTop
@@ -204,5 +209,5 @@
         OnResize = pnlFieldsResize
         DesignSize = (
-          538
+          611
           67)
         object bvlNewTitle: TBevel
@@ -226,5 +231,5 @@
         end
         object lblAuthor: TStaticText
-          Left = 320
+          Left = 393
           Top = 6
           Width = 152
@@ -249,5 +254,5 @@
         end
         object lblCosigner: TStaticText
-          Left = 225
+          Left = 298
           Top = 21
           Width = 243
@@ -292,5 +297,5 @@
         end
         object cmdChange: TButton
-          Left = 474
+          Left = 547
           Top = 6
           Width = 58
@@ -305,5 +310,5 @@
           Left = 48
           Top = 40
-          Width = 484
+          Width = 557
           Height = 21
           Hint = 'Subject is limited to a maximum of 80 characters.'
@@ -321,13 +326,14 @@
       Left = 0
       Top = 0
-      Width = 538
+      Width = 611
       Height = 309
       Align = alClient
       BevelOuter = bvNone
       TabOrder = 0
+      OnExit = pnlReadExit
       object lblTitle: TOROffsetLabel
         Left = 0
         Top = 0
-        Width = 538
+        Width = 611
         Height = 19
         Align = alTop
@@ -341,5 +347,5 @@
         Left = 0
         Top = 113
-        Width = 538
+        Width = 611
         Height = 3
         Cursor = crVSplit
@@ -349,5 +355,5 @@
         Left = 0
         Top = 116
-        Width = 538
+        Width = 611
         Height = 193
         Align = alClient
@@ -371,10 +377,10 @@
         TabOrder = 1
         WordWrap = False
-        OnExit = memNoteExit
+        OnMouseMove = FormMouseMove
       end
       object lvNotes: TCaptionListView
         Left = 0
         Top = 19
-        Width = 538
+        Width = 611
         Height = 94
         Align = alTop
@@ -417,5 +423,5 @@
         OnColumnClick = lvNotesColumnClick
         OnCompare = lvNotesCompare
-        OnExit = lvNotesExit
+        OnMouseMove = FormMouseMove
         OnResize = lvNotesResize
         OnSelectItem = lvNotesSelectItem
@@ -493,4 +499,54 @@
         end
       end
+      object mnuViewInformation: TMenuItem
+        Caption = 'Information'
+        OnClick = mnuViewInformationClick
+        object mnuViewDemo: TMenuItem
+          Tag = 1
+          Caption = 'De&mographics...'
+          OnClick = ViewInfo
+        end
+        object mnuViewVisits: TMenuItem
+          Tag = 2
+          Caption = 'Visits/Pr&ovider...'
+          OnClick = ViewInfo
+        end
+        object mnuViewPrimaryCare: TMenuItem
+          Tag = 3
+          Caption = 'Primary &Care...'
+          OnClick = ViewInfo
+        end
+        object mnuViewMyHealtheVet: TMenuItem
+          Tag = 4
+          Caption = 'MyHealthe&Vet...'
+          OnClick = ViewInfo
+        end
+        object mnuInsurance: TMenuItem
+          Tag = 5
+          Caption = '&Insurance...'
+          OnClick = ViewInfo
+        end
+        object mnuViewFlags: TMenuItem
+          Tag = 6
+          Caption = '&Flags...'
+          OnClick = ViewInfo
+        end
+        object mnuViewRemoteData: TMenuItem
+          Tag = 7
+          Caption = 'Remote &Data...'
+          OnClick = ViewInfo
+        end
+        object mnuViewReminders: TMenuItem
+          Tag = 8
+          Caption = '&Reminders...'
+          Enabled = False
+          OnClick = ViewInfo
+        end
+        object mnuViewPostings: TMenuItem
+          Tag = 9
+          Caption = '&Postings...'
+          OnClick = ViewInfo
+        end
+      end
       object Z3: TMenuItem
         Caption = '-'
@@ -524,4 +580,9 @@
         Tag = 6
         Caption = 'Custo&m View'
+        OnClick = mnuViewClick
+      end
+      object mnuSearchForText: TMenuItem
+        Tag = 7
+        Caption = 'Search for Te&xt (Within Current View)'
         OnClick = mnuViewClick
       end
@@ -806,4 +867,9 @@
       Tag = 6
       Caption = 'Cus&tom View'
+      OnClick = mnuViewClick
+    end
+    object popSearchForText: TMenuItem
+      Tag = 7
+      Caption = 'Search for Te&xt (Within Current View)'
       OnClick = mnuViewClick
     end
